#include "App.h"
#include "Demo.h"

int App::main() {
    setDebugMode(true);
    debugController->setActive(false);
    debugShowRenderingStats = false;
    debugQuitOnEscape = false;
    debugShowText = true;
    applet->run();

    return 0;
}


App::App(const GApp::Settings& settings, const std::string& configFile) : GApp(settings) {
    Demo::Settings demoSettings;
    TextInput t(configFile);
    demoSettings.deserialize(t);
    applet = new Demo(this, demoSettings);
}


App::~App() {
    delete applet;
}
